%define PERL_VERSION %(eval `perl -V:version`; echo $version)
Name:          perl-Net-DNS
Version:       1.44
Release:       1mamba
Summary:       A DNS resolver implemented in Perl
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
Source:        https://cpan.metacpan.org/authors/id/N/NL/NLNETLABS/Net-DNS-%{version}.tar.gz
URL:           https://www.cpan.org
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-Socket6 >= 0.19
BuildRequires: perl-Net-IP >= 1.25
BuildRequires: perl-Digest-BubbleBabble >= 0.01
BuildRequires: perl-Test-Pod >= 1.20
Requires:      perl >= %PERL_VERSION

%description
Net::DNS is a DNS resolver implemented in Perl.  It allows the programmer to perform nearly any type of DNS query from a Perl
script.  For details and examples, please read the Net::DNS manual page.

%prep
%setup -q -n Net-DNS-%{version}

%build
echo "y" | perl Makefile.PL
%make
%make test 

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Thu Feb 15 2024 Automatic Build System <autodist@openmamba.org> 1.44-1mamba
- automatic version update by autodist

* Fri Jan 26 2024 Automatic Build System <autodist@openmamba.org> 1.43-1mamba
- automatic version update by autodist

* Sun Dec 24 2023 Automatic Build System <autodist@mambasoft.it> 1.42-1mamba
- automatic version update by autodist

* Tue Nov 28 2023 Automatic Build System <autodist@mambasoft.it> 1.41-1mamba
- automatic version update by autodist

* Thu Aug 31 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.40-1mamba
- update to 1.40

* Thu Jun 01 2023 Automatic Build System <autodist@mambasoft.it> 1.39-1mamba
- automatic version update by autodist

* Wed May 10 2023 Automatic Build System <autodist@mambasoft.it> 1.38-1mamba
- automatic version update by autodist

* Tue Mar 14 2023 Automatic Build System <autodist@mambasoft.it> 1.37-1mamba
- automatic version update by autodist

* Sat Dec 31 2022 Automatic Build System <autodist@mambasoft.it> 1.36-1mamba
- automatic version update by autodist

* Wed Oct 05 2022 Automatic Build System <autodist@mambasoft.it> 1.35-1mamba
- automatic version update by autodist

* Tue May 31 2022 Automatic Build System <autodist@mambasoft.it> 1.34-1mamba
- automatic version update by autodist

* Fri Dec 17 2021 Automatic Build System <autodist@mambasoft.it> 1.33-1mamba
- automatic version update by autodist

* Sat Jul 17 2021 Automatic Build System <autodist@mambasoft.it> 1.32-1mamba
- automatic version update by autodist

* Sun May 02 2021 Automatic Build System <autodist@mambasoft.it> 1.31-1mamba
- automatic version update by autodist

* Tue Mar 30 2021 Automatic Build System <autodist@mambasoft.it> 1.30-1mamba
- automatic version update by autodist

* Fri Feb 26 2021 Automatic Build System <autodist@mambasoft.it> 1.29-1mamba
- automatic version update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.83-2mamba
- perl 5.24 mass rebuild

* Thu Mar 26 2015 Automatic Build System <autodist@mambasoft.it> 0.83-1mamba
- automatic update by autodist

* Fri Feb 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.82-1mamba
- update to 0.82

* Thu Jan 15 2015 Automatic Build System <autodist@mambasoft.it> 0.81_01-1mamba
- automatic update by autodist

* Sat Nov 15 2014 Automatic Build System <autodist@mambasoft.it> 0.81-1mamba
- automatic update by autodist

* Sun Oct 12 2014 Automatic Build System <autodist@mambasoft.it> 0.80-1mamba
- automatic update by autodist

* Sat Aug 23 2014 Automatic Build System <autodist@mambasoft.it> 0.79-1mamba
- automatic update by autodist

* Sat Jul 12 2014 Automatic Build System <autodist@mambasoft.it> 0.78-1mamba
- automatic update by autodist

* Fri May 30 2014 Automatic Build System <autodist@mambasoft.it> 0.76_1-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 0.76-1mamba
- automatic update by autodist

* Tue Nov 19 2013 Automatic Build System <autodist@mambasoft.it> 0.72_03-1mamba
- automatic update by autodist

* Sat Apr 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.72-2mamba
- remove Win32 module

* Fri Feb 08 2013 Automatic Build System <autodist@mambasoft.it> 0.72-1mamba
- update to 0.72

* Sat Nov 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.68-2mamba
- perl 5.16 mass rebuild

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 0.68-1mamba
- automatic version update by autodist

* Wed Nov 02 2011 Automatic Build System <autodist@mambasoft.it> 0.66_02-1mamba
- automatic version update by autodist

* Fri Jan 15 2010 Automatic Build System <autodist@mambasoft.it> 0.66-1mamba
- automatic update by autodist

* Thu Jul 09 2009 Automatic Build System <autodist@mambasoft.it> 0.65-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.59-2mamba
- automatic rebuild by autodist

* Wed May 09 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.59-1mamba
- update to 0.59

* Tue Feb 01 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.48-1qilnx
- update to version 0.48 by autospec
- fix perl version check

* Mon May 03 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.47-2qilnx
- Win32.pm module removed for dependencies cleaness

* Fri Apr 30 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.47-1qilnx
- First build
